Page MenuHomePhabricator

Check RTL support on the developer portal
Closed, ResolvedPublic

Description

Have a quick check / walkthrough on RTL support.

Proposal

With the current setup, we can use placeholder content to get some early feedback and see whether there are any major issues. To do this, we'll need to add an RTL language on the Dev Portal demo site manually with placeholder content from Google Translate which we'll delete after the review is complete.

Known issues
To do
  • Test search after merging; search isn't working locally

Related Objects

StatusSubtypeAssignedTask
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
OpenNone
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedAklapper
ResolvedNone
Resolvedbd808
Resolvedbd808
ResolvedBUG REPORTbd808
Resolvedabi_
Resolvedbd808
ResolvedSpikebd808
Resolvedapaskulin

Event Timeline

Aklapper changed the task status from Open to Stalled.Jul 27 2021, 4:44 PM
Aklapper created this task.
Amire80 renamed this task from Check RTL support to Check RTL support on the developer portal.Jul 27 2021, 5:15 PM
Amire80 added a subscriber: Amire80.

Just tell me where it is and I'll be happy to make a quick first assessment.

@Amire80: Thanks, this is still months ahead - just trying to sort out all our tasks early :)

OK, whenever ready, just ask.

For the records and transparency: Per T287176, we went for a dedicated language switch dropdown UI element and not for reading the accept-language request HTTP header. A test instance is up on https://developer-portal.wmcloud.org/ (this is not the final URL!) but we have no RTL languages yet to test, so this task remains stalled for the time being.

apaskulin changed the task status from Stalled to Open.Apr 20 2022, 11:56 PM
apaskulin claimed this task.
apaskulin raised the priority of this task from Low to High.
apaskulin updated the task description. (Show Details)

Change 784796 had a related patch set uploaded (by Alex Paskulin; author: Alex Paskulin):

[wikimedia/developer-portal@main] WIP Add placeholder content to test RTL

https://gerrit.wikimedia.org/r/784796

Change 784796 merged by jenkins-bot:

[wikimedia/developer-portal@main] i18n: Add placeholder content to test RTL

https://gerrit.wikimedia.org/r/784796

@Amire80 Thanks for offering to do a quick assessment! I've added placeholder content from Google Translate to populate a few pages to review. (Apologies for the bad translations! I'll delete this content after the assessment.)

Non-translated (=English) strings displayed as fallback in RTL langs have their full stops in the wrong place. We only set a global <html lang="he" class="no-js">, there is no lang or dir on a per-string level (<p>Help build the Wikimedia ecosystem with open source software.</p>):

Screenshot from 2022-05-12 12-14-27.png (285×751 px, 27 KB)

I wonder if there's a way to check for the global lang, at some stage identify strings that lack translations, and set dir="ltr" on them. (However that seems to also change the alignment of that element as a side effect.) On the other hand this sounds quite upstream but I didn't find something in the mkdocs upstream (?) docs.

Placeholder pages have been deleted as we prepare for integration with translatewiki

I wonder if there's a way to check for the global lang, at some stage identify strings that lack translations, and set dir="ltr" on them.

This is a wish for fancier behavior than literally any l10n system I have ever personally used. Even adding dir="auto" and letting the browser sort it out at a paragraph level would require patching the third-party markdown->html generator used by mkdocs. I'd vote WONTFIX.

apaskulin claimed this task.

In April, I used placeholder content in Hebrew to evaluate the site's support for RTL. This revealed a few issues with the translation system in general that were resolved, and a few issues with RTL styles that were also resolved. Now that the integration with translatewiki has been enabled and the placeholder content has been removed, we cannot do an evaluation with an RTL language speaker until the site has content in that language. Closing this as complete for the MVP